%% 
face1 = im2double(imread('data/face1.jpg'));
face2 = im2double(imread('data/face2.jpg'));
[h w c] = size(face1);

load data/facepts

%%
t = [0:.2:1];

for i=1:length(t),
  newpts = (1-t(i)) * facepts1 + t(i)*facepts2;
  f1w = imwarp(face1,facepts1,newpts);
  f2w = imwarp(face2,facepts2,newpts);
  out = (1-t(i)) * f1w + t(i)*f2w;
  figure(i);
  imshow(out);
end
    
    